%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

Summary:	RocketBar - ROSA panel for KDE4
Name:		rosapanel
Version:	1.6.1
Release:	6
Epoch:		1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://rosalab.ru/
Source0:	%{name}-%{version}.tar.gz
Patch0:		rosapanel-1.5.1-icon-applet-renaming.patch
Patch1:		rosapanel-1.5.1-secret-chamber.patch
Patch2:		rosapanel-rscstart.patch
Patch3:		rosapanel-1.6.1-certified-applet-list.patch
Patch4:		rosapanel-1.6.1-fresh-applet-list.patch
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	kdebase4-devel
Requires:	kdebase4-workspace
Requires:	plasma-applet-stackfolder
Requires:	plasma-desktoptheme-rosa
Requires:	plasma-scriptengine-python
Requires:	python-kde4
Requires:	rosa-launcher
%if %{with selinux}
Requires:	rosa-secret-chamber
%endif

%description
RocketBar is a panel for KDE4.

%files -f build/install_manifest.txt

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%if %{with selinux}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%else
%patch4 -p1
%endif

%build
%cmake_kde4

%install
%makeinstall_std -C build


%changelog

* Wed Jul 01 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1:1.6.1-6
- (273b492) Changed applet list patch


